# SoilPlantAirContinuum.jl

<!-- Links and shortcuts -->
[pk-url]: https://github.com/Yujie-W/SoilPlantAirContinuum.jl
[pk-api]: https://yujie-w.github.io/SoilPlantAirContinuum.jl/stable/API/
[cp-url]: https://github.com/CliMA/CLIMAParameters.jl

[dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[dev-url]: https://Yujie-W.github.io/SoilPlantAirContinuum.jl/dev/

[rel-img]: https://img.shields.io/badge/docs-stable-blue.svg
[rel-url]: https://Yujie-W.github.io/SoilPlantAirContinuum.jl/stable/

[st-img]: https://github.com/Yujie-W/SoilPlantAirContinuum.jl/workflows/JuliaStable/badge.svg?branch=main
[st-url]: https://github.com/Yujie-W/SoilPlantAirContinuum.jl/actions?query=branch%3A"main"++workflow%3A"JuliaStable"

[min-img]: https://github.com/Yujie-W/SoilPlantAirContinuum.jl/workflows/Julia-1.3/badge.svg?branch=main
[min-url]: https://github.com/Yujie-W/SoilPlantAirContinuum.jl/actions?query=branch%3A"main"++workflow%3A"Julia-1.3"

[cov-img]: https://codecov.io/gh/Yujie-W/SoilPlantAirContinuum.jl/branch/main/graph/badge.svg
[cov-url]: https://codecov.io/gh/Yujie-W/SoilPlantAirContinuum.jl




## About

[`SoilPlantAirContinuum.jl`][pk-url] simulates the Soil-Plant-Air Continuum with optimal stomatal models. [`SoilPlantAirContinuum.jl`][pk-url] only supports Julia 1.3 and above.

| Documentation                                   | CI Status             | Compatibility           | Code Coverage           |
|:------------------------------------------------|:----------------------|:------------------------|:------------------------|
| [![][dev-img]][dev-url] [![][rel-img]][rel-url] | [![][st-img]][st-url] | [![][min-img]][min-url] | [![][cov-img]][cov-url] |




## Installation
```julia
julia> using Pkg;
julia> Pkg.add("SoilPlantAirContinuum");
```




## API
See [`API`][pk-api] for more detailed information about how to use [`SoilPlantAirContinuum.jl`][pk-url].
